Bug 1319344 - man-pages updated package conflicts with lirc
Summary: man-pages updated package conflicts with lirc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lirc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1320294 1352324 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 22:07 UTC by Michal Jaegermann
Modified: 2016-09-04 08:01 UTC (History)
13 users (show)

Fixed In Version: lirc-0.9.3a-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 23:50:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Jaegermann 2016-03-18 22:07:53 UTC
Description of problem:

Update in the current rawhide bumps into the following error:

Running transaction test
Error: Transaction check error:
  file /usr/share/man/man4/lirc.4.gz from install of man-pages-4.05-1.fc25.noarch conflicts with file from package lirc-core-0.9.3a-4.fc24.x86_64

and that update transaction bails out

Version-Release number of selected component (if applicable):
man-pages-4.05-1.fc25

Additional info:
A possible workaround for the moment:

  rpm -Uvh --replacefiles man-pages-4.05-1.fc25.noarch.rpm

but it would be nice not to have to do that.  A corrdination with lirc?

Comment 1 Jan Chaloupka 2016-03-20 11:27:38 UTC
https://sourceforge.net/p/lirc/tickets/164/

Comment 2 Nikola Forró 2016-03-22 19:08:38 UTC
*** Bug 1320294 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2016-05-12 12:33:31 UTC
lirc-0.9.3a-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a5e563396

Comment 4 Fedora Update System 2016-05-16 15:24:29 UTC
lirc-0.9.3a-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a5e563396

Comment 5 Fedora Update System 2016-05-20 23:50:46 UTC
lirc-0.9.3a-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Peter F. Patel-Schneider 2016-06-22 04:10:19 UTC
I just saw this when updating to Fedora 24

Error: Transaction check error:
  file /usr/share/man/man4/lirc.4.gz conflicts between attempted installs of man-pages-4.06-2.fc24.noarch and lirc-core-0.9.3a-4.fc24.x86_64

Comment 7 Peter F. Patel-Schneider 2016-06-22 04:11:11 UTC
Should I file a new bug report, or can this one be re-opened?

Comment 8 Alec Leamas 2016-06-22 05:33:24 UTC
hm... there is a zero-day update to lirc-0.9.4 in  f24. Have you applied that?

Comment 9 Peter F. Patel-Schneider 2016-06-22 06:03:58 UTC
Nope.  

How can I apply that before upgrading to F24?

I suppose I could remove lirc, upgrade, and then add lirc back, but that doesn't help the next person.

Perhaps a note is needed in the bugs section of the F24 page?

Comment 10 Alec Leamas 2016-06-22 06:11:20 UTC
There is also a point fix in f23 which resolves this. The  bug will hit anyone which does not update to latest f23 before going for f24 - but is that worth a note? Dunno

Comment 11 Peter F. Patel-Schneider 2016-06-22 06:17:40 UTC
I am at 
Name        : lirc-core
Arch        : x86_64
Epoch       : 0
Version     : 0.9.3a
Release     : 4.fc23
already, which I think is up-to-date.

In any case, it looks as if the conflict is between the two F24 packages so what is in installed packages shouldn't matter, unless there is some magic going on.

Comment 12 Alec Leamas 2016-06-22 06:27:04 UTC
Yup, you are right. And no magic. The f24 lirc package is broken, breaking an update. The best work-around is probably to remove it before upgrade and then re-install it after. Which indeed needs a note.

Sigh. I should a have made a point fix for f24 as well, didn't realize the upgrade problem - was happy with the zero-day 0.9.4 update.

Comment 13 Peter F. Patel-Schneider 2016-06-22 16:08:28 UTC
So 
sudo dnf remove lirc-core
- upgrade
sudo dnf install lirc
appears to get around the problem.


Does this mean, however, that there is something missing from the checks done for a Fedora release?  This should have been caught somehow.  How can this glitch be brought to the attention of the Fedora people?

Comment 14 Nikola Forró 2016-07-11 10:02:05 UTC
*** Bug 1352324 has been marked as a duplicate of this bug. ***

Comment 15 Chris Jones 2016-07-31 10:34:22 UTC
This is STILL an issue when attempting to perform upgrade from F23 to F24 and there is STILL NO published fix other than this note.

Comment 16 Alec Leamas 2016-08-01 17:19:11 UTC
The problem is that the release media is what like it is, even after the package is updated. I don't know if there are channels to update the release image. Updating the release image is necessary to fix this bug.

Comment 17 Michael Chapman 2016-08-27 11:58:35 UTC
I think the real problem here is that only lirc-drv-iguanaIR-0.9.3a-4.fc24 is available in the "fedora" repository -- but the manpage fix was in 0.9.3a-5, according to the RPM changelog. So if you have lirc-drv-iguanaIR-0.9.3a-4.fc23 installed on F23 (which most people will if they've had lirc installed for a while), the dependencies between packages forces "dnf system-upgrade" to pick 0.9.3a-4 for *all* lirc packages.

If lirc-drv-iguanaIR isn't supposed to exist any more, then the only way out of this mess is to have a later lirc version explicitly Obsolete it. And if it *is* supposed to exist... why aren't new versions of it in the F24 "updates" and "updates-testing" repositories?

Comment 18 Alec Leamas 2016-08-28 20:01:31 UTC
>So if you have lirc-drv-iguanaIR-0.9.3a-4.fc23 installed on F23 (which most 
> people will if they've had lirc installed for a while), the dependencies 
> between packages forces "dnf system-upgrade" to pick 0.9.3a-4 for
> *all* lirc packages.

Most likely not:

$ dnf repoquery -releasever=23 -q --requires lirc-drv-iguanair
...
lirc-core >= 0.9.4

The iguana driver is just a plugin; it's ok just lirc-core provides the plugin interface ABI (which is stable ). There are no exact version requirements.

As I understand this, the problem is rather that the  release media contains the bad version, my point fix didn't make it to the media generation. It was my bad, but I frankly don't know how to deal with it. Perhaps a dnf-based upgrade would avoid this problem, picking the available update in favor of the broken?

BTW: the iguanair plugin is not going away, no way. But for those who doesn't use this hardware it's easy to just uninstall this package.

Comment 19 Alec Leamas 2016-08-28 20:07:31 UTC
Oops, looking at that output I see the hard dependencies staring at me, autogenerated. This is plain wrong, they should be filtered away somehow.  Thanks for bringing this up!

Comment 20 Alec Leamas 2016-08-28 20:45:54 UTC
So, there is an update available for lirc-drv-iguanair at my COPR repo [1] which generates the correct dependency on lirc-core. 

I really need to have this package reviewed.

[1] https://copr.fedorainfracloud.org/coprs/leamas/lirc-0.9.4-preview/

Comment 21 Andrew Meredith 2016-09-04 02:00:04 UTC
I have added your COPR repo

# dnf repolist
Last metadata expiration check performed 0:14:28 ago on Sun Sep  4 01:56:49 2016.
[...]
leamas-lirc-0.9.4-preview   Copr repo for lirc-0.9.4-preview owned by leamas 24
[...]

Upgraded to the COPR versions of the Fedora 22 rpms

================================================================================================================
 Package                     Arch            Version                   Repository                          Size
================================================================================================================
Installing:
 lirc-doc                    noarch          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview          1.3 M
Upgrading:
 lirc-compat                 x86_64          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview           25 k
 lirc-config                 noarch          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview          159 k
 lirc-core                   x86_64          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview          420 k
 lirc-drv-ftdi               x86_64          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview           32 k
 lirc-drv-portaudio          x86_64          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview           33 k
 lirc-tools-gui              x86_64          0.9.4b-4.fc22             leamas-lirc-0.9.4-preview           46 k
Removing:
 lirc-drv-iguanaIR           x86_64          0.9.2a-3.fc22             @updates                            15 k
Downgrading:
 lirc-drv-irman              x86_64          0.5.1-3.fc22              leamas-lirc-0.9.4-preview           15 k
================================================================================================================

Ran the upgrade

# dnf system-upgrade download --releasever=24 --allowerasing

it selected the COPR variants

lirc-compat        x86_64 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 25 k
lirc-config        noarch 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 159 k
lirc-core          x86_64 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 416 k
lirc-doc           noarch 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 1.3 M
lirc-drv-ftdi      x86_64 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 32 k
lirc-drv-irman     x86_64 1:0.5.2-3.fc24 updates                   15 k
lirc-drv-portaudio x86_64 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 33 k
lirc-libs          x86_64 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 115 k
lirc-tools-gui     x86_64 0.9.4b-4.fc24  leamas-lirc-0.9.4-preview 45 k

And it finished with

Complete!
Download complete! Use 'dnf system-upgrade reboot' to start the upgrade.
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.

I have yet to run the upgrade

Comment 22 Alec Leamas 2016-09-04 08:01:42 UTC
@andrew: Thanks for reporting back! Will push the iguanaIR update, which really is a leftover from the somewhat messy move of several plugins out of lirc.


Note You need to log in before you can comment on or make changes to this bug.